Skip to main content
PUT
/
client
/
history
/
{id}
Update history
curl --request PUT \
  --url https://api.orbital-systems.com/client/history/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "feedback_rating": 123,
  "feedback_text": "<string>",
  "updated_at": "<string>"
}
'
import requests

url = "https://api.orbital-systems.com/client/history/{id}"

payload = {
    "feedback_rating": 123,
    "feedback_text": "<string>",
    "updated_at": "<string>"
}
headers = {
    "x-api-key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({feedback_rating: 123, feedback_text: '<string>', updated_at: '<string>'})
};

fetch('https://api.orbital-systems.com/client/history/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "timestamp": "<string>",
  "type": "<string>",
  "session_type": "<string>",
  "shower_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "saved_water": 123,
  "saved_energy": 123,
  "active_duration": 123,
  "avg_temperature": 123,
  "avg_user_temperature": 123,
  "filter_status": 123,
  "feedback_rating": 123,
  "feedback_text": "<string>"
}
{}
{}
{}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Device ID

Body

application/json
feedback_rating
number
feedback_text
string
updated_at
string

Response

Success

id
string
timestamp
string
type
string
session_type
string
shower_id
string<uuid>
saved_water
number
saved_energy
number
active_duration
number
avg_temperature
number
avg_user_temperature
number
filter_status
number
feedback_rating
number
feedback_text
string